[WMDE-Fundraising] Handle mailer exceptions when canceling membership applications
Closed, ResolvedPublic3 Story Points

Description

So far, when the mailing fails for some reason (bad config, mail server down, etc), the membership is cancelled but the user sees a generic error page. For feature parity, the user needs to see a message that the membership application was cancelled but the mailing failed.

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 20 2016, 3:53 PM
WMDE-leszek edited the task description. (Show Details)Apr 21 2016, 7:13 AM
gabriel-wmde changed the title from "[WMDE-Fundraising] Handler exceptions when canceling membership applications" to "[WMDE-Fundraising] Handle mailer exceptions when canceling membership applications".Apr 22 2016, 9:38 AM
Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.Jun 7 2016, 10:46 AM

The non-presentation part is done by https://github.com/wmde/FundraisingFrontend/pull/563

What still needs doing is using the new information in CancelDonationHtmlPresenter

PR#564 and template change cover the presentation stuff.

Tobi_WMDE_SW closed this task as "Resolved".Apr 7 2017, 11:25 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:25 AM